Doomsday Engine - Bug #1127

[Linux] Linking error when old libs exist in /ust/lib
2013-07-25 11:30 - dotfloat

Status: Closed Start date: 2013-07-25
Priority: Low % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 1.14

Description

When building the engine, Id uses the binaries found in /usr/bin instead of build dir.

| have found that this is because gmake prepends "-L/ust/lib" to LIBS (in each Makefile), which causes it to search for libdeng1.so,
libdeng2.so, etc, in /usr/lib first and then in the build dir where the newest libs are.

| believe it's possible to prepend the correct paths to QMIAKE_LIBDIR instead of LIBS, but it just seems like an ugly hack.

History

#1 - 2013-07-25 10:51 - skyjake

- labels: --> gmake, Builder

- status: open --> accepted

- assigned_to: Jaakko Kerdnen
- Priority: 3-->5

#2 - 2013-10-17 12:50 - skyjake
- Tags set to qmake, Builder
- Subject changed from Linking error on linux when old libs exist in /ust/lib to [Linux] Linking error when old libs exist in /usr/lib

- Priority changed from Normal to Low

- Target version deleted (1.11)

#3 - 2013-10-23 18:47 - skyjake

- Status changed from In Progress to New

#4 - 2014-04-22 19:23 - skyjake

- Description updated

- Category set to Defect

- Status changed from New to Closed
- Target version set to 1.14

- % Done changed from 0 to 100
